--- a/src/bin/geomutil/oogl2vrml/oogl2vrml2.c
+++ b/src/bin/geomutil/oogl2vrml/oogl2vrml2.c
@@ -664,7 +664,7 @@ int main(int argc, char *argv[]) {
   f = stdout;
 
   while (argc > 1 && argv[1][0] == '-' && argv[1][1] != '\0') {
-    if (argv[1][1] == 'b') {
+    if (argc > 2 && argv[1][1] == 'b') {
       bezdice = atoi(argv[2]); argc--; argv++;
     } else if (argv[1][1] == 's') {
       flat = 0; 
